Create sequence
curl --request POST \
--url https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Sequence",
"productId": "prod_123456",
"timezone": "America/New_York"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Sequence', productId: 'prod_123456', timezone: 'America/New_York'})
};
fetch('https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Sequence', productId: 'prod_123456', timezone: 'America/New_York'})
};
fetch('https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Sequence', productId: 'prod_123456', timezone: 'America/New_York'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences"
payload = {
"name": "My Sequence",
"productId": "prod_123456",
"timezone": "America/New_York"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences"
payload := strings.NewReader("{\n \"name\": \"My Sequence\",\n \"productId\": \"prod_123456\",\n \"timezone\": \"America/New_York\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Sequence\",\n \"productId\": \"prod_123456\",\n \"timezone\": \"America/New_York\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"name\": \"My Sequence\",\n \"productId\": \"prod_123456\",\n \"timezone\": \"America/New_York\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

{
"agentId": "<string>",
"bouncedCount": 123,
"bouncedPercent": 123,
"clickTrackingEnabled": true,
"clickedCount": 123,
"clickedPercent": 123,
"companyOutreachLimitCount": 123,
"companyOutreachLimitEnabled": true,
"completedCount": 123,
"completedPercent": 123,
"contactedCount": 123,
"id": "<string>",
"leadCount": 123,
"localizedOptOutEnabled": true,
"mailboxes": [
{
"address": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
}
],
"name": "<string>",
"openTrackingEnabled": true,
"openedCount": 123,
"openedPercent": 123,
"optOutedCount": 123,
"optOutedPercent": 123,
"productId": "<string>",
"repliedCount": 123,
"repliedPercent": 123,
"repliedPositiveCount": 123,
"repliedPositivePercent": 123,
"sequentialCompanySendingEnabled": true,
"status": "active",
"steps": [
{
"distributionStrategy": "equal",
"id": "<string>",
"name": "<string>",
"order": 123,
"variants": [
{
"contactInformationSource": "linkedin",
"distributionWeight": 123,
"dynamicLanguageEnabled": true,
"emailContent": "<string>",
"emailSubject": "<string>",
"id": "<string>",
"isGenerated": true,
"label": "<string>",
"order": 123,
"overdriveEnabled": true,
"status": "active",
"tonality": "playful"
}
],
"waitDays": 123
}
],
"workspaceId": "<string>"
}{
"data": [
{
"createdAt": "<string>",
"type": "email",
"value": "<string>"
}
],
"message": "<string>"
}sequences
Create sequence
Create a new sequence.
POST
/
workspaces
/
{workspaceID}
/
sequences
Create sequence
Authorizations
Path Parameters
Workspace ID
Body
application/json
Request body
Request body
Available options:
russian, ukrainian, finnish, american_english, british_english, french, spanish, polish, romanian, german, lithuanian, dutch, latvian, italian, czech, hungarian, japanese, brazilian_portugese, swedish, danish, norwegian, estonian Example:
"My Sequence"
Example:
"prod_123456"
Example:
"America/New_York"
Response
Created sequence
Show child attributes
Show child attributes
Available options:
active, draft, paused, deleted, completed, video_pending, active, paused Show child attributes
Show child attributes
